<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy TravelInfo.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_travel_info_8cpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">TravelInfo.cpp</div></div>
</div><!--header-->
<div class="contents">
<a href="_travel_info_8cpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#include &quot;<a class="code" href="_travel_info_8hpp.html">TravelInfo.hpp</a>&quot;</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="class_travel_info.html#a5e690c384afedf00affae1abdb911e40">   19</a></span><a class="code hl_function" href="class_travel_info.html#a5e690c384afedf00affae1abdb911e40">TravelInfo::TravelInfo</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *widget_title, QWidget *parent) : <a class="code hl_class" href="class_framed_widget.html">FramedWidget</a>(widget_title, parent)</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>{</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <span class="comment">// Dynamiczne utworzenie atrybutów</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <a class="code hl_variable" href="class_travel_info.html#ad7d91725f7cbe294faa1b042872c4107">info</a> = <span class="keyword">new</span> QLineEdit(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <a class="code hl_variable" href="class_travel_info.html#a8dbb9fb85faaff85a6a4a648cdeed0b8">unit</a> = <span class="keyword">new</span> QLabel(<span class="stringliteral">&quot;m&quot;</span>, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <a class="code hl_variable" href="class_travel_info.html#a35c206edd5b89c207deb0f4e6ddb5203">hlayout</a> = <span class="keyword">new</span> QHBoxLayout();</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="comment">// Przygotowanie widgetów do wyświetlenia</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <a class="code hl_function" href="class_travel_info.html#af594443e14524f51ec5d8d83adbac2fe">setStoredWidget</a>();</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    <a class="code hl_function" href="class_travel_info.html#a2d74900881683d93e726b64fe1c9a710">setHLayout</a>();</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    <a class="code hl_function" href="class_travel_info.html#abb606d890020bd082c842de4963f4ba4">setVLayout</a>();</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    <a class="code hl_function" href="class_travel_info.html#a99fc19ffabbf99e2fd40d649a762e791">setMaxWidth</a>();</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    <span class="comment">// Ustawienie własnej geometrii</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    setSizePolicy(QSizePolicy::Preferred, QSizePolicy::Minimum);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>}</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="class_travel_info.html#af594443e14524f51ec5d8d83adbac2fe">   39</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_travel_info.html#af594443e14524f51ec5d8d83adbac2fe">TravelInfo::setStoredWidget</a>()</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>{</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <a class="code hl_variable" href="class_travel_info.html#ad7d91725f7cbe294faa1b042872c4107">info</a>-&gt;setReadOnly(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    <a class="code hl_variable" href="class_travel_info.html#ad7d91725f7cbe294faa1b042872c4107">info</a>-&gt;setFrame(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    <a class="code hl_variable" href="class_travel_info.html#ad7d91725f7cbe294faa1b042872c4107">info</a>-&gt;setTextMargins(1, 1, 1, 1);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <a class="code hl_variable" href="class_travel_info.html#ad7d91725f7cbe294faa1b042872c4107">info</a>-&gt;setAlignment(Qt::AlignLeft | Qt::AlignVCenter);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    <a class="code hl_variable" href="class_travel_info.html#ad7d91725f7cbe294faa1b042872c4107">info</a>-&gt;setSizePolicy(QSizePolicy::Minimum, QSizePolicy::Preferred);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <a class="code hl_variable" href="class_travel_info.html#ad7d91725f7cbe294faa1b042872c4107">info</a>-&gt;setMaxLength(<a class="code hl_define" href="_travel_info_8hpp.html#a2f1291e2a29c1f79a21b3ea7002b341e">TRAVEL_INFO_LIMIT</a>);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <a class="code hl_variable" href="class_travel_info.html#ad7d91725f7cbe294faa1b042872c4107">info</a>-&gt;setStyleSheet(<span class="stringliteral">&quot;color: white;&quot;</span>);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>}</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="class_travel_info.html#a2d74900881683d93e726b64fe1c9a710">   54</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_travel_info.html#a2d74900881683d93e726b64fe1c9a710">TravelInfo::setHLayout</a>()</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>{</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <a class="code hl_variable" href="class_travel_info.html#a35c206edd5b89c207deb0f4e6ddb5203">hlayout</a>-&gt;addWidget(<a class="code hl_variable" href="class_travel_info.html#ad7d91725f7cbe294faa1b042872c4107">info</a>);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    <a class="code hl_variable" href="class_travel_info.html#a35c206edd5b89c207deb0f4e6ddb5203">hlayout</a>-&gt;addWidget(<a class="code hl_variable" href="class_travel_info.html#a8dbb9fb85faaff85a6a4a648cdeed0b8">unit</a>);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>}</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="class_travel_info.html#abb606d890020bd082c842de4963f4ba4">   65</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_travel_info.html#abb606d890020bd082c842de4963f4ba4">TravelInfo::setVLayout</a>()</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>{</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    <a class="code hl_variable" href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">vlayout</a>-&gt;addWidget(<a class="code hl_variable" href="class_framed_widget.html#ace4a4b291bdc10ef5c4599a43baf1ab5">title</a>);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    <a class="code hl_variable" href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">vlayout</a>-&gt;addLayout(<a class="code hl_variable" href="class_travel_info.html#a35c206edd5b89c207deb0f4e6ddb5203">hlayout</a>);</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>}</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="class_travel_info.html#aded556ed7e83a46c97f60e2593299ded">   82</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_travel_info.html#aded556ed7e83a46c97f60e2593299ded">TravelInfo::countCoords</a>(<span class="keywordtype">int</span> left_opto, <span class="keywordtype">int</span> right_opto)</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>{</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    <span class="keywordflow">if</span>(left_opto &gt; <a class="code hl_variable" href="class_travel_info.html#a76cbff64d22110a5996cccfd1ed4ba1e">old_reads</a>[0] &amp;&amp; right_opto &lt; <a class="code hl_variable" href="class_travel_info.html#a76cbff64d22110a5996cccfd1ed4ba1e">old_reads</a>[1])</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    {</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">if</span>((left_opto - <a class="code hl_variable" href="class_travel_info.html#a76cbff64d22110a5996cccfd1ed4ba1e">old_reads</a>[0]) &gt; 300 &amp;&amp; (<a class="code hl_variable" href="class_travel_info.html#a76cbff64d22110a5996cccfd1ed4ba1e">old_reads</a>[1] - right_opto) &gt; 300)</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            <a class="code hl_variable" href="class_travel_info.html#a708169e783d11f58c26c608e07864743">coords</a>[0] += 1;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    }</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    <span class="keywordflow">else</span> <span class="keywordflow">if</span>(left_opto &lt; <a class="code hl_variable" href="class_travel_info.html#a76cbff64d22110a5996cccfd1ed4ba1e">old_reads</a>[0] &amp;&amp; right_opto &gt; <a class="code hl_variable" href="class_travel_info.html#a76cbff64d22110a5996cccfd1ed4ba1e">old_reads</a>[1])</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    {</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <span class="keywordflow">if</span>((<a class="code hl_variable" href="class_travel_info.html#a76cbff64d22110a5996cccfd1ed4ba1e">old_reads</a>[0] - left_opto) &gt; 300 &amp;&amp; (right_opto - <a class="code hl_variable" href="class_travel_info.html#a76cbff64d22110a5996cccfd1ed4ba1e">old_reads</a>[1]) &gt; 300)</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>            <a class="code hl_variable" href="class_travel_info.html#a708169e783d11f58c26c608e07864743">coords</a>[0] += 1;</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    }</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span> </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    <a class="code hl_variable" href="class_travel_info.html#a76cbff64d22110a5996cccfd1ed4ba1e">old_reads</a>[0] = left_opto;</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    <a class="code hl_variable" href="class_travel_info.html#a76cbff64d22110a5996cccfd1ed4ba1e">old_reads</a>[1] = right_opto;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span> </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    <a class="code hl_function" href="class_travel_info.html#a65eb7f9f08f585df6654f05238c9a526">updateCoords</a>();</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>}</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno"><a class="line" href="class_travel_info.html#a7372d7b6b3cab2310b3e6482df168041">  105</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_travel_info.html#a7372d7b6b3cab2310b3e6482df168041">TravelInfo::writeLine</a>(QString line)</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>{</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    <a class="code hl_variable" href="class_travel_info.html#ad7d91725f7cbe294faa1b042872c4107">info</a>-&gt;clear();</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    <a class="code hl_variable" href="class_travel_info.html#ad7d91725f7cbe294faa1b042872c4107">info</a>-&gt;insert(line);</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>}</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="class_travel_info.html#a3a7cf7c55842a5ca903c4cfdecc98921">  118</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_travel_info.html#a3a7cf7c55842a5ca903c4cfdecc98921">TravelInfo::updateDistance</a>(<span class="keywordtype">double</span> distance)</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>{</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    <span class="keywordtype">double</span> distance_m = distance / 100.0;</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    QString printable = QString::number(distance_m, <span class="charliteral">&#39;f&#39;</span>, 3);</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    <span class="comment">// Czyści aktualną zawartość</span></div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    <a class="code hl_variable" href="class_travel_info.html#ad7d91725f7cbe294faa1b042872c4107">info</a>-&gt;clear();</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    <span class="comment">// Wstawia odczyt razem z jednostką</span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    <a class="code hl_variable" href="class_travel_info.html#ad7d91725f7cbe294faa1b042872c4107">info</a>-&gt;insert(printable + <span class="stringliteral">&quot; m&quot;</span>);</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>}</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno"><a class="line" href="class_travel_info.html#a65eb7f9f08f585df6654f05238c9a526">  132</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_travel_info.html#a65eb7f9f08f585df6654f05238c9a526">TravelInfo::updateCoords</a>()</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>{</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    QString coord_x = QString::number((<span class="keywordtype">float</span>)<a class="code hl_variable" href="class_travel_info.html#a708169e783d11f58c26c608e07864743">coords</a>[0]/100.0, <span class="charliteral">&#39;f&#39;</span>, 3);</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    QString coord_y = QString::number((<span class="keywordtype">float</span>)<a class="code hl_variable" href="class_travel_info.html#a708169e783d11f58c26c608e07864743">coords</a>[1]/100.0, <span class="charliteral">&#39;f&#39;</span>, 3);</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    <span class="comment">// Czyści aktualną zawartość</span></div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    <a class="code hl_variable" href="class_travel_info.html#ad7d91725f7cbe294faa1b042872c4107">info</a>-&gt;clear();</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    <span class="comment">// Wstawia odczyt razem z jednostką</span></div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    <a class="code hl_variable" href="class_travel_info.html#ad7d91725f7cbe294faa1b042872c4107">info</a>-&gt;insert(<span class="stringliteral">&quot;[ &quot;</span> + coord_x + <span class="stringliteral">&quot;, &quot;</span> + coord_y + <span class="stringliteral">&quot; ]&quot;</span>);</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>}</div>
<div class="ttc" id="a_travel_info_8hpp_html"><div class="ttname"><a href="_travel_info_8hpp.html">TravelInfo.hpp</a></div><div class="ttdoc">Definicja klasy TravelInfo.</div></div>
<div class="ttc" id="a_travel_info_8hpp_html_a2f1291e2a29c1f79a21b3ea7002b341e"><div class="ttname"><a href="_travel_info_8hpp.html#a2f1291e2a29c1f79a21b3ea7002b341e">TRAVEL_INFO_LIMIT</a></div><div class="ttdeci">#define TRAVEL_INFO_LIMIT</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8hpp_source.html#l00017">TravelInfo.hpp:17</a></div></div>
<div class="ttc" id="aclass_framed_widget_html"><div class="ttname"><a href="class_framed_widget.html">FramedWidget</a></div><div class="ttdoc">Klasa bazowa głównych widgetów okna aplikacji.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00025">FramedWidget.hpp:26</a></div></div>
<div class="ttc" id="aclass_framed_widget_html_a5b62f9e21c0b6f3e797070d26027ac45"><div class="ttname"><a href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">FramedWidget::vlayout</a></div><div class="ttdeci">QVBoxLayout * vlayout</div><div class="ttdoc">Zarządca geometrii wertykalnej.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00053">FramedWidget.hpp:53</a></div></div>
<div class="ttc" id="aclass_framed_widget_html_ace4a4b291bdc10ef5c4599a43baf1ab5"><div class="ttname"><a href="class_framed_widget.html#ace4a4b291bdc10ef5c4599a43baf1ab5">FramedWidget::title</a></div><div class="ttdeci">QLabel * title</div><div class="ttdoc">Tytuł widgetu.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00049">FramedWidget.hpp:49</a></div></div>
<div class="ttc" id="aclass_travel_info_html_a2d74900881683d93e726b64fe1c9a710"><div class="ttname"><a href="class_travel_info.html#a2d74900881683d93e726b64fe1c9a710">TravelInfo::setHLayout</a></div><div class="ttdeci">void setHLayout()</div><div class="ttdoc">Ustawia widgety w poziomie.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8cpp_source.html#l00054">TravelInfo.cpp:54</a></div></div>
<div class="ttc" id="aclass_travel_info_html_a35c206edd5b89c207deb0f4e6ddb5203"><div class="ttname"><a href="class_travel_info.html#a35c206edd5b89c207deb0f4e6ddb5203">TravelInfo::hlayout</a></div><div class="ttdeci">QHBoxLayout * hlayout</div><div class="ttdoc">Zarządca horyzontalny.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8hpp_source.html#l00043">TravelInfo.hpp:43</a></div></div>
<div class="ttc" id="aclass_travel_info_html_a3a7cf7c55842a5ca903c4cfdecc98921"><div class="ttname"><a href="class_travel_info.html#a3a7cf7c55842a5ca903c4cfdecc98921">TravelInfo::updateDistance</a></div><div class="ttdeci">void updateDistance(double distance)</div><div class="ttdoc">Konweruje przekazany dystans na metry i wyświetla w okienku.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8cpp_source.html#l00118">TravelInfo.cpp:118</a></div></div>
<div class="ttc" id="aclass_travel_info_html_a5e690c384afedf00affae1abdb911e40"><div class="ttname"><a href="class_travel_info.html#a5e690c384afedf00affae1abdb911e40">TravelInfo::TravelInfo</a></div><div class="ttdeci">TravelInfo(const char *widget_title, QWidget *parent=nullptr)</div><div class="ttdoc">Inicjalizuje obiekt klasy TravelInfo.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8cpp_source.html#l00019">TravelInfo.cpp:19</a></div></div>
<div class="ttc" id="aclass_travel_info_html_a65eb7f9f08f585df6654f05238c9a526"><div class="ttname"><a href="class_travel_info.html#a65eb7f9f08f585df6654f05238c9a526">TravelInfo::updateCoords</a></div><div class="ttdeci">void updateCoords()</div><div class="ttdoc">Aktualizuje współrzędne robota w okienku.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8cpp_source.html#l00132">TravelInfo.cpp:132</a></div></div>
<div class="ttc" id="aclass_travel_info_html_a708169e783d11f58c26c608e07864743"><div class="ttname"><a href="class_travel_info.html#a708169e783d11f58c26c608e07864743">TravelInfo::coords</a></div><div class="ttdeci">int coords[2]</div><div class="ttdoc">Tablica z koordynatami robota.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8hpp_source.html#l00047">TravelInfo.hpp:47</a></div></div>
<div class="ttc" id="aclass_travel_info_html_a7372d7b6b3cab2310b3e6482df168041"><div class="ttname"><a href="class_travel_info.html#a7372d7b6b3cab2310b3e6482df168041">TravelInfo::writeLine</a></div><div class="ttdeci">void writeLine(QString line)</div><div class="ttdoc">Wpisuje linijkę do edytora.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8cpp_source.html#l00105">TravelInfo.cpp:105</a></div></div>
<div class="ttc" id="aclass_travel_info_html_a76cbff64d22110a5996cccfd1ed4ba1e"><div class="ttname"><a href="class_travel_info.html#a76cbff64d22110a5996cccfd1ed4ba1e">TravelInfo::old_reads</a></div><div class="ttdeci">int old_reads[2]</div><div class="ttdoc">Tablica z poprzednimi odczytami z transoptorów odbiciowych.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8hpp_source.html#l00054">TravelInfo.hpp:54</a></div></div>
<div class="ttc" id="aclass_travel_info_html_a8dbb9fb85faaff85a6a4a648cdeed0b8"><div class="ttname"><a href="class_travel_info.html#a8dbb9fb85faaff85a6a4a648cdeed0b8">TravelInfo::unit</a></div><div class="ttdeci">QLabel * unit</div><div class="ttdoc">Jednostka wyświetlanych danych (milimetry)</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8hpp_source.html#l00035">TravelInfo.hpp:35</a></div></div>
<div class="ttc" id="aclass_travel_info_html_a99fc19ffabbf99e2fd40d649a762e791"><div class="ttname"><a href="class_travel_info.html#a99fc19ffabbf99e2fd40d649a762e791">TravelInfo::setMaxWidth</a></div><div class="ttdeci">void setMaxWidth(int limit=100)</div><div class="ttdoc">Ustawia maksymalną szerokość edytora.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8hpp_source.html#l00096">TravelInfo.hpp:96</a></div></div>
<div class="ttc" id="aclass_travel_info_html_abb606d890020bd082c842de4963f4ba4"><div class="ttname"><a href="class_travel_info.html#abb606d890020bd082c842de4963f4ba4">TravelInfo::setVLayout</a></div><div class="ttdeci">void setVLayout() override</div><div class="ttdoc">Ustawia widgety pochodne w pionie.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8cpp_source.html#l00065">TravelInfo.cpp:65</a></div></div>
<div class="ttc" id="aclass_travel_info_html_ad7d91725f7cbe294faa1b042872c4107"><div class="ttname"><a href="class_travel_info.html#ad7d91725f7cbe294faa1b042872c4107">TravelInfo::info</a></div><div class="ttdeci">QLineEdit * info</div><div class="ttdoc">Miejsce na wpisywaną informację</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8hpp_source.html#l00039">TravelInfo.hpp:39</a></div></div>
<div class="ttc" id="aclass_travel_info_html_aded556ed7e83a46c97f60e2593299ded"><div class="ttname"><a href="class_travel_info.html#aded556ed7e83a46c97f60e2593299ded">TravelInfo::countCoords</a></div><div class="ttdeci">void countCoords(int left_opto, int right_opto)</div><div class="ttdoc">Liczy współrzędne robota na planszy.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8cpp_source.html#l00082">TravelInfo.cpp:82</a></div></div>
<div class="ttc" id="aclass_travel_info_html_af594443e14524f51ec5d8d83adbac2fe"><div class="ttname"><a href="class_travel_info.html#af594443e14524f51ec5d8d83adbac2fe">TravelInfo::setStoredWidget</a></div><div class="ttdeci">void setStoredWidget() override</div><div class="ttdoc">Inicjalizuje widgety pochodne.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8cpp_source.html#l00039">TravelInfo.cpp:39</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_400757c3a0df52e783ed9699284f29ce.html">src</a></li><li class="navelem"><a class="el" href="_travel_info_8cpp.html">TravelInfo.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
